Unable to use CV-Tools after installing in R23 CV-Toolbox_2_15 - Login dialogue is not displaying
Posted: 05 March 2021 06:19 AM   [ Ignore ]  
Total Posts:  1
Joined  2020-11-23

After manually installing CV-Tools in Cinema 4D R23. Opening the CV-tools via Extensions doesn’t work. Can anyone help?

Console error reported,

Traceback (most recent call last):
  File “C:\Program Files\Maxon Cinema 4D R23\Plugins\CV-Toolbox_2_15\CV-Toolbox\CV-Toolbox.pypv”, line 1298, in <module>
RuntimeError:The plugin ID ‘1031620’ collides with another plugin ID in ‘CV-Toolbox’.
You have to use a unique ID for registering your plugin!
You can get a personal number for free from PluginCafe at http://www.plugincafe.com
Traceback (most recent call last):
  File “.\lib\37\cvToolboxCore.py”, line 662, in checkPathWrite
PermissionError:[Errno 13] Permission denied: ‘C:\\Program Files\\Maxon Cinema 4D R23\\plugins\\CV-Toolbox_2_15\\CV-Toolbox\\tbxtest’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File “C:\Program Files\Maxon Cinema 4D R23\plugins\CV-Toolbox_2_15\CV-Toolbox\CV-Toolbox.pypv”, line 1282, in PluginMessage
  File “C:\Program Files\Maxon Cinema 4D R23\plugins\CV-Toolbox_2_15\CV-Toolbox\CV-Toolbox.pypv”, line 1158, in Execute
  File “.\lib\37\cvToolboxCore.py”, line 667, in checkPathWrite
AttributeError:‘PermissionError’ object has no attribute ‘errorText’
Traceback (most recent call last):
  File “.\lib\37\cvToolboxCore.py”, line 662, in checkPathWrite
PermissionError:[Errno 13] Permission denied: ‘C:\\Program Files\\Maxon Cinema 4D R23\\plugins\\CV-Toolbox_2_15\\CV-Toolbox\\tbxtest’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File “C:\Program Files\Maxon Cinema 4D R23\plugins\CV-Toolbox_2_15\CV-Toolbox\CV-Toolbox.pypv”, line 1158, in Execute
  File “.\lib\37\cvToolboxCore.py”, line 667, in checkPathWrite
AttributeError:‘PermissionError’ object has no attribute ‘errorText’

Profile
 
 
Posted: 24 August 2021 03:46 PM   [ Ignore ]   [ # 1 ]  
Total Posts:  1
Joined  2019-09-17

I can’t get CVtools to work on r23 and r22.

  File “.\lib\27\cvToolboxCore.py”, line 653, in checkPathWrite
AttributeError: ‘exceptions.IOError’ object has no attribute ‘errorText’

Profile
 
 
Posted: 25 August 2021 07:44 AM   [ Ignore ]   [ # 2 ]  
Total Posts:  7
Joined  2019-05-29

The Answer to my problem was I had it in both places. Deleting it from my program plugins folder made it work

Profile
 
 
   
 
 
‹‹ cv toolbox      CV toolbox installation ››